pskc_init(3)

NAME
pskc_init - API function

SYNOPSIS
#include <pskc.h>

int pskc_init(pskc_t ** container);

ARGUMENTS

pskc_t ** container
    pointer to a pskc_t handle to initialize.

DESCRIPTION
This function initializes the PSKC container handle. The memory allocate can be released by calling pskc_done().

RETURNS
On success, PSKC_OK (zero) is returned, on memory allocation errors PSKC_MALLOC_ERROR is returned.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.